Package com.pixelmed.test

# Class TestCleanerReceiveAndClean

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestCleanerReceiveAndClean

All Implemented Interfaces:
  `junit.framework.Test`

public class TestCleanerReceiveAndClean extends junit.framework.TestCase

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`TestCleanerReceiveAndClean.ExpectedResult`
`protected class`
`TestCleanerReceiveAndClean.OurReceivedObjectHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static String`
`acceptAnyTransferSyntaxLabelText`
`protected static String`
`addContributingEquipmentLabelText`
`protected DicomCleaner`
`application`
`protected static String`
`cleanUIDsLabelText`
`protected static final String`
`existingTestFileToBeCleaned`
`protected static String`
`hierarchicalExportLabelText`
`protected String`
`lastReceivedDicomFileName`
`protected static final String`
`localNameOfUnitTestSCP`
`protected static final String`
`ourCallingAET`
`protected static String`
`removeCharacteristicsLabelText`
`protected static String`
`removeClinicalTrialAttributesLabelText`
`protected static String`
`removeDescriptionsLabelText`
`protected static String`
`removeDeviceIdentityLabelText`
`protected static String`
`removeIdentityLabelText`
`protected static String`
`removeInstitutionIdentityLabelText`
`protected static String`
`removePrivateLabelText`
`protected static String`
`removeSeriesDescriptionsLabelText`
`protected static final String`
`savedImagesFolderName`
`protected static final int`
`waitIntervalWhenSleeping`
`protected static String`
`zipExportLabelText`

## Constructor Summary

Constructors
Constructor
Description
`TestCleanerReceiveAndClean(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkAllAreAsExpected(AttributeList list)`
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestCleanerReceiveAndClean_ReceiveAndCleanWithDefaults()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ourCallingAET

protected static final String ourCallingAET

See Also:
  - Constant Field Values

### localNameOfUnitTestSCP

protected static final String localNameOfUnitTestSCP

See Also:
  - Constant Field Values

### savedImagesFolderName

protected static final String savedImagesFolderName

See Also:
  - Constant Field Values

### existingTestFileToBeCleaned

protected static final String existingTestFileToBeCleaned

See Also:
  - Constant Field Values

### waitIntervalWhenSleeping

protected static final int waitIntervalWhenSleeping

See Also:
  - Constant Field Values

### removeIdentityLabelText

protected static String removeIdentityLabelText

### removeDescriptionsLabelText

protected static String removeDescriptionsLabelText

### removeSeriesDescriptionsLabelText

protected static String removeSeriesDescriptionsLabelText

### removeCharacteristicsLabelText

protected static String removeCharacteristicsLabelText

### removeDeviceIdentityLabelText

protected static String removeDeviceIdentityLabelText

### removeInstitutionIdentityLabelText

protected static String removeInstitutionIdentityLabelText

### cleanUIDsLabelText

protected static String cleanUIDsLabelText

### removePrivateLabelText

protected static String removePrivateLabelText

### addContributingEquipmentLabelText

protected static String addContributingEquipmentLabelText

### removeClinicalTrialAttributesLabelText

protected static String removeClinicalTrialAttributesLabelText

### zipExportLabelText

protected static String zipExportLabelText

### hierarchicalExportLabelText

protected static String hierarchicalExportLabelText

### acceptAnyTransferSyntaxLabelText

protected static String acceptAnyTransferSyntaxLabelText

### application

protected volatile DicomCleaner application

### lastReceivedDicomFileName

protected volatile String lastReceivedDicomFileName

## Constructor Details

### TestCleanerReceiveAndClean

public TestCleanerReceiveAndClean(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### checkAllAreAsExpected

protected void checkAllAreAsExpected(AttributeList list)

### TestCleanerReceiveAndClean_ReceiveAndCleanWithDefaults

public void TestCleanerReceiveAndClean_ReceiveAndCleanWithDefaults() throws Exception

Throws:
  `Exception`